use clap::Parser;

use super::{AmbientDriverError, Config, Leaf};

/// Show configuration to user.
#[derive(Debug, Parser)]
pub struct ConfigCmd {}

impl Leaf for ConfigCmd {
    fn run(&self, config: &Config) -> Result<(), AmbientDriverError> {
        println!("{config:#?}");
        Ok(())
    }
}

#[derive(Debug, thiserror::Error)]
pub enum ConfigError {
    // #[error("failed to serialize configuration to YAML")]
    // ToYaml(#[source] serde_yml::Error),
}
